> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Copy project

> Copy an existing project for further editing.

MCP tool: `podcast_copy_project`. OAuth scope: `podcast.write`.


## OpenAPI

````yaml api-reference/openapi.json POST /open/podcast/v1/project/copy
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/project/copy:
    post:
      tags:
        - Podcast
      summary: copy project
      description: Copy an existing project for further editing.
      operationId: podcast_copy_project
      parameters:
        - description: Replay a completed identical request without repeating side effects.
          in: header
          name: Idempotency-Key
          schema:
            maxLength: 128
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dto.ProjectIDReq'
        description: 请求体
        required: true
        x-originalParamName: req
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.ProjectCopyResp'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    dto.ProjectIDReq:
      properties:
        index:
          type: integer
        podcast_template_id:
          type: integer
        project_id:
          type: string
      required:
        - project_id
      type: object
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.ProjectCopyResp:
      properties:
        new_prj_id:
          type: string
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````